cURL / Mailing Lists / curl-library / Single Mail


Re: Fwd: Bug#442338: FTBFS: error: 'CURLE_FTP_USER_PASSWORD_INCORRECT' was not declared in this scope

From: Dan Fandrich <>
Date: Sat, 15 Sep 2007 14:10:45 -0700

On Sat, Sep 15, 2007 at 08:19:44PM +0200, Domenico Andreoli wrote:
> curl 7.17.0 breaks the build of Rene has already found
> the cause, it is described below.
> Is it only a formal error by the curl side or requires
> to be upgraded to the new API?

None of the above.

> > > | g++ -fmessage-length=0 -c -O2 -fno-strict-aliasing -DCURL_NO_OLDIES -I. [...]

Defining CURL_NO_OLDIES means that the package is explicitly disavowing any
backwards compatibility that curl might supply it. The only time a package
should be setting that macro is to test whether it needs to be upgraded to
continue to work with libcurl in the future; it should not be setting it as
a matter of course or it will eventually break (as it just has).

The short-term solution is to remove that macro from the OO build. The long
term solution is to fix OO to avoid using those obsolete definitions.

>>> Dan

--              The web change of address service
          Let webmasters know that your web site has moved
Received on 2007-09-15